Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/ChangeLog	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -1,2 +1,15 @@
+2004-03-22	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* libfs/src/dosfs/fat.c, libfs/src/dosfs/fat.h,
+	libfs/src/dosfs/fat_fat_operations.c,
+	libfs/src/dosfs/fat_fat_operations.h, libfs/src/dosfs/fat_file.c,
+	libfs/src/dosfs/fat_file.h, libfs/src/dosfs/msdos.h,
+	libfs/src/dosfs/msdos_create.c, libfs/src/dosfs/msdos_dir.c,
+	libfs/src/dosfs/msdos_file.c, libfs/src/dosfs/msdos_initsupp.c,
+	libfs/src/dosfs/msdos_misc.c, libfs/src/imfs/deviceio.c,
+	libfs/src/imfs/imfs.h, libfs/src/imfs/imfs_directory.c,
+	libfs/src/imfs/imfs_fchmod.c, libfs/src/imfs/linearfile.c,
+	libfs/src/imfs/memfile.c: Convert to using c99 fixed-size types.
+
 2004-03-05	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/libfs/src/dosfs/fat.c
===================================================================
--- cpukit/libfs/src/dosfs/fat.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/fat.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -47,7 +47,7 @@
 _fat_block_read(
     rtems_filesystem_mount_table_entry_t *mt_entry, 
-    unsigned32                            start, 
-    unsigned32                            offset,
-    unsigned32                            count, 
+    uint32_t                              start, 
+    uint32_t                              offset,
+    uint32_t                              count, 
     void                                 *buff
     )
@@ -56,8 +56,8 @@
     register fat_fs_info_t *fs_info = mt_entry->fs_info;
     ssize_t                 cmpltd = 0;
-    unsigned32              blk = start;
-    unsigned32              ofs = offset;
+    uint32_t                blk = start;
+    uint32_t                ofs = offset;
     bdbuf_buffer           *block = NULL;
-    unsigned32              c = 0;
+    uint32_t                c = 0;
   
     while (count > 0)
@@ -98,7 +98,7 @@
 _fat_block_write(
     rtems_filesystem_mount_table_entry_t *mt_entry, 
-    unsigned32                            start, 
-    unsigned32                            offset,
-    unsigned32                            count, 
+    uint32_t                              start, 
+    uint32_t                              offset,
+    uint32_t                              count, 
     const void                           *buff)
 {
@@ -106,8 +106,8 @@
     fat_fs_info_t *fs_info = mt_entry->fs_info;
     ssize_t        cmpltd = 0;
-    unsigned32     blk  = start;
-    unsigned32     ofs = offset;
+    uint32_t       blk  = start;
+    uint32_t       ofs = offset;
     bdbuf_buffer  *block = NULL;
-    unsigned32     c = 0;
+    uint32_t       c = 0;
   
     while(count > 0)
@@ -152,10 +152,10 @@
 fat_cluster_read(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            cln,
+    uint32_t                              cln,
     void                                 *buff
     )
 {
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     fsec = 0; 
+    uint32_t       fsec = 0; 
   
     fsec = fat_cluster_num_to_sector_num(mt_entry, cln); 
@@ -180,10 +180,10 @@
 fat_cluster_write(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            cln,
+    uint32_t                              cln,
     const void                           *buff
     )
 {
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     fsec = 0;
+    uint32_t       fsec = 0;
   
     fsec = fat_cluster_num_to_sector_num(mt_entry, cln); 
@@ -209,5 +209,5 @@
     fat_fs_info_t      *fs_info = mt_entry->fs_info;     
     register fat_vol_t *vol = &fs_info->vol;
-    unsigned32          data_secs = 0;
+    uint32_t            data_secs = 0;
     char                boot_rec[FAT_MAX_BPB_SIZE];
     char                fs_info_sector[FAT_USEFUL_INFO_SIZE];
@@ -527,5 +527,5 @@
 fat_init_clusters_chain(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            start_cln
+    uint32_t                              start_cln
     )
 {
@@ -533,5 +533,5 @@
     ssize_t                 ret = 0;
     register fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32              cur_cln = start_cln;
+    uint32_t                cur_cln = start_cln;
     char                   *buf;
   
@@ -586,9 +586,9 @@
  *     
  */
-unsigned32
+uint32_t  
 fat_get_unique_ino(rtems_filesystem_mount_table_entry_t *mt_entry)
 {
     register fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32              j = 0;
+    uint32_t                j = 0;
     rtems_boolean           resrc_unsuff = FALSE;
 
@@ -635,5 +635,5 @@
 fat_free_unique_ino(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            ino
+    uint32_t                              ino
     )
 {
@@ -656,5 +656,5 @@
 fat_ino_is_unique(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            ino
+    uint32_t                              ino
     )
 {
@@ -678,12 +678,12 @@
 fat_fat32_update_fsinfo_sector(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            free_count,
-    unsigned32                            next_free
+    uint32_t                              free_count,
+    uint32_t                              next_free
     )
 {
     ssize_t                 ret1 = 0, ret2 = 0;
     register fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32              le_free_count = 0;
-    unsigned32              le_next_free = 0;
+    uint32_t                le_free_count = 0;
+    uint32_t                le_next_free = 0;
 
     le_free_count = CT_LE_L(free_count);
Index: cpukit/libfs/src/dosfs/fat.h
===================================================================
--- cpukit/libfs/src/dosfs/fat.h	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/fat.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -52,8 +52,8 @@
 
 #if (CPU_BIG_ENDIAN == TRUE)
-#    define CF_LE_W(v) CPU_swap_u16((unsigned16)v)
-#    define CF_LE_L(v) CPU_swap_u32((unsigned32)v)
-#    define CT_LE_W(v) CPU_swap_u16((unsigned16)v)
-#    define CT_LE_L(v) CPU_swap_u32((unsigned32)v)
+#    define CF_LE_W(v) CPU_swap_u16((uint16_t  )v)
+#    define CF_LE_L(v) CPU_swap_u32((uint32_t  )v)
+#    define CT_LE_W(v) CPU_swap_u16((uint16_t  )v)
+#    define CT_LE_L(v) CPU_swap_u32((uint32_t  )v)
 #else  
 #    define CF_LE_W(v) (v)
@@ -82,9 +82,9 @@
 #define FAT_FAT32              0x04
  
-#define FAT_UNDEFINED_VALUE     (unsigned32)0xFFFFFFFF 
+#define FAT_UNDEFINED_VALUE     (uint32_t  )0xFFFFFFFF 
 
 #define FAT_FAT12_EOC          0x0FF8
 #define FAT_FAT16_EOC          0xFFF8
-#define FAT_FAT32_EOC          (unsigned32)0x0FFFFFF8
+#define FAT_FAT32_EOC          (uint32_t  )0x0FFFFFF8
 
 #define FAT_FAT12_FREE         0x0000
@@ -92,6 +92,6 @@
 #define FAT_FAT32_FREE         0x00000000
 
-#define FAT_GENFAT_EOC         (unsigned32)0xFFFFFFFF
-#define FAT_GENFAT_FREE        (unsigned32)0x00000000
+#define FAT_GENFAT_EOC         (uint32_t  )0xFFFFFFFF
+#define FAT_GENFAT_FREE        (uint32_t  )0x00000000
 
 #define FAT_FAT12_SHIFT        0x04
@@ -99,5 +99,5 @@
 #define FAT_FAT12_MASK         0x00000FFF
 #define FAT_FAT16_MASK         0x0000FFFF
-#define FAT_FAT32_MASK         (unsigned32)0x0FFFFFFF
+#define FAT_FAT32_MASK         (uint32_t  )0x0FFFFFFF
 
 #define FAT_MAX_BPB_SIZE       90
@@ -106,15 +106,15 @@
 #define FAT_USEFUL_INFO_SIZE   12
 
-#define FAT_VAL8(x, ofs)       (unsigned8)(*((unsigned8 *)(x) + (ofs)))
+#define FAT_VAL8(x, ofs)       (uint8_t  )(*((uint8_t   *)(x) + (ofs)))
  
 #define FAT_VAL16(x, ofs)                                   \
-    (unsigned16)( (*((unsigned8 *)(x) + (ofs))) |           \
-                  ((*((unsigned8 *)(x) + (ofs) + 1)) << 8) )
+    (uint16_t  )( (*((uint8_t   *)(x) + (ofs))) |           \
+                  ((*((uint8_t   *)(x) + (ofs) + 1)) << 8) )
 
 #define FAT_VAL32(x, ofs)                                                 \
-    (unsigned32)( (unsigned32)(*((unsigned8 *)(x) + (ofs))) |             \
-                  ((unsigned32)(*((unsigned8 *)(x) + (ofs) + 1)) << 8)  | \
-                  ((unsigned32)(*((unsigned8 *)(x) + (ofs) + 2)) << 16) | \
-                  ((unsigned32)(*((unsigned8 *)(x) + (ofs) + 3)) << 24) )
+    (uint32_t  )( (uint32_t  )(*((uint8_t   *)(x) + (ofs))) |             \
+                  ((uint32_t  )(*((uint8_t   *)(x) + (ofs) + 1)) << 8)  | \
+                  ((uint32_t  )(*((uint8_t   *)(x) + (ofs) + 2)) << 16) | \
+                  ((uint32_t  )(*((uint8_t   *)(x) + (ofs) + 3)) << 24) )
                     
 /* macros to access boot sector fields */
@@ -171,31 +171,31 @@
 typedef struct fat_vol_s 
 {
-    unsigned16   bps;            /* bytes per sector */
-    unsigned8    sec_log2;       /* log2 of bps */
-    unsigned8    sec_mul;        /* log2 of 512bts sectors number per sector */
-    unsigned8    spc;            /* sectors per cluster */
-    unsigned8    spc_log2;       /* log2 of spc */
-    unsigned16   bpc;            /* bytes per cluster */
-    unsigned8    bpc_log2;       /* log2 of bytes per cluster */
-    unsigned8    fats;           /* number of FATs */
-    unsigned8    type;           /* FAT type */
-    unsigned32   mask;
-    unsigned32   eoc_val;
-    unsigned16   fat_loc;        /* FAT start */
-    unsigned32   fat_length;     /* sectors per FAT */
-    unsigned32   rdir_loc;       /* root directory start */
-    unsigned16   rdir_entrs;     /* files per root directory */
-    unsigned32   rdir_secs;      /* sectors per root directory */
-    unsigned32   rdir_size;      /* root directory size in bytes */
-    unsigned32   tot_secs;       /* total count of sectors */
-    unsigned32   data_fsec;      /* first data sector */
-    unsigned32   data_cls;       /* count of data clusters */
-    unsigned32   rdir_cl;        /* first cluster of the root directory */
-    unsigned16   info_sec;       /* FSInfo Sector Structure location */
-    unsigned32   free_cls;       /* last known free clusters count */
-    unsigned32   next_cl;        /* next free cluster number */
-    unsigned8    mirror;         /* mirroring enabla/disable */
-    unsigned32   afat_loc;       /* active FAT location */
-    unsigned8    afat;           /* the number of active FAT */
+    uint16_t     bps;            /* bytes per sector */
+    uint8_t      sec_log2;       /* log2 of bps */
+    uint8_t      sec_mul;        /* log2 of 512bts sectors number per sector */
+    uint8_t      spc;            /* sectors per cluster */
+    uint8_t      spc_log2;       /* log2 of spc */
+    uint16_t     bpc;            /* bytes per cluster */
+    uint8_t      bpc_log2;       /* log2 of bytes per cluster */
+    uint8_t      fats;           /* number of FATs */
+    uint8_t      type;           /* FAT type */
+    uint32_t     mask;
+    uint32_t     eoc_val;
+    uint16_t     fat_loc;        /* FAT start */
+    uint32_t     fat_length;     /* sectors per FAT */
+    uint32_t     rdir_loc;       /* root directory start */
+    uint16_t     rdir_entrs;     /* files per root directory */
+    uint32_t     rdir_secs;      /* sectors per root directory */
+    uint32_t     rdir_size;      /* root directory size in bytes */
+    uint32_t     tot_secs;       /* total count of sectors */
+    uint32_t     data_fsec;      /* first data sector */
+    uint32_t     data_cls;       /* count of data clusters */
+    uint32_t     rdir_cl;        /* first cluster of the root directory */
+    uint16_t     info_sec;       /* FSInfo Sector Structure location */
+    uint32_t     free_cls;       /* last known free clusters count */
+    uint32_t     next_cl;        /* next free cluster number */
+    uint8_t      mirror;         /* mirroring enabla/disable */
+    uint32_t     afat_loc;       /* active FAT location */
+    uint8_t      afat;           /* the number of active FAT */
     dev_t        dev;            /* device ID */
     disk_device *dd;             /* disk device (see libblock) */
@@ -206,7 +206,7 @@
 typedef struct fat_cache_s
 {
-    unsigned32     blk_num;
+    uint32_t       blk_num;
     rtems_boolean  modified;
-    unsigned8      state;
+    uint8_t        state;
     bdbuf_buffer   *buf;
 } fat_cache_t;
@@ -222,9 +222,9 @@
     Chain_Control *rhash;         /* "rhash" of fat-file descriptors */
     char          *uino;          /* array of unique ino numbers */
-    unsigned32     index;
-    unsigned32     uino_pool_size; /* size */
-    unsigned32     uino_base;
+    uint32_t       index;
+    uint32_t       uino_pool_size; /* size */
+    uint32_t       uino_base;
     fat_cache_t    c;             /* cache */
-    unsigned8     *sec_buf; /* just placeholder for anything */
+    uint8_t       *sec_buf; /* just placeholder for anything */
 } fat_fs_info_t;
 
@@ -236,6 +236,6 @@
 typedef struct fat_auxiliary_s
 {
-    unsigned32 cln;
-    unsigned32 ofs;
+    uint32_t   cln;
+    uint32_t   ofs;
 } fat_auxiliary_t;
 
@@ -259,8 +259,8 @@
 #define FAT_OP_TYPE_GET   0x2
 
-static inline unsigned32
+static inline uint32_t  
 fat_cluster_num_to_sector_num(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            cln
+    uint32_t                              cln
     )
 {
@@ -274,8 +274,8 @@
 } 
 
-static inline unsigned32
+static inline uint32_t  
 fat_cluster_num_to_sector512_num(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            cln
+    uint32_t                              cln
     )
 {
@@ -290,9 +290,9 @@
 
 static inline int
-fat_buf_access(fat_fs_info_t *fs_info, unsigned32 blk, int op_type, 
+fat_buf_access(fat_fs_info_t *fs_info, uint32_t   blk, int op_type, 
                bdbuf_buffer **buf)
 {
     rtems_status_code sc = RTEMS_SUCCESSFUL;
-    unsigned8         i;
+    uint8_t           i;
     rtems_boolean     sec_of_fat;
     
@@ -373,5 +373,5 @@
 {
     rtems_status_code sc = RTEMS_SUCCESSFUL;
-    unsigned8         i;
+    uint8_t           i;
     rtems_boolean     sec_of_fat;
         
@@ -431,24 +431,24 @@
 ssize_t
 _fat_block_read(rtems_filesystem_mount_table_entry_t *mt_entry,
-                unsigned32                            start,
-                unsigned32                            offset,
-                unsigned32                            count,
+                uint32_t                              start,
+                uint32_t                              offset,
+                uint32_t                              count,
                 void                                 *buff);
 
 ssize_t
 _fat_block_write(rtems_filesystem_mount_table_entry_t *mt_entry,
-                 unsigned32                            start,
-                 unsigned32                            offset,
-                 unsigned32                            count,
+                 uint32_t                              start,
+                 uint32_t                              offset,
+                 uint32_t                              count,
                  const void                           *buff);
 
 ssize_t
 fat_cluster_read(rtems_filesystem_mount_table_entry_t *mt_entry,
-                  unsigned32                           cln,
+                  uint32_t                             cln,
                   void                                *buff);
 
 ssize_t
 fat_cluster_write(rtems_filesystem_mount_table_entry_t *mt_entry,
-                   unsigned32                           cln,
+                   uint32_t                             cln,
                    const void                          *buff);
 
@@ -458,9 +458,9 @@
 int
 fat_init_clusters_chain(rtems_filesystem_mount_table_entry_t *mt_entry,
-                        unsigned32                            start_cln);
-
-unsigned32
+                        uint32_t                              start_cln);
+
+uint32_t  
 fat_cluster_num_to_sector_num(rtems_filesystem_mount_table_entry_t *mt_entry,
-                              unsigned32                            cln);
+                              uint32_t                              cln);
 
 int
@@ -468,20 +468,20 @@
 
 
-unsigned32
+uint32_t  
 fat_get_unique_ino(rtems_filesystem_mount_table_entry_t *mt_entry);
                                                            
 rtems_boolean
 fat_ino_is_unique(rtems_filesystem_mount_table_entry_t *mt_entry,
-                  unsigned32                            ino);
+                  uint32_t                              ino);
 
 void
 fat_free_unique_ino(rtems_filesystem_mount_table_entry_t *mt_entry,
-                    unsigned32                            ino);
+                    uint32_t                              ino);
 
 int
 fat_fat32_update_fsinfo_sector(
   rtems_filesystem_mount_table_entry_t *mt_entry,
-  unsigned32                            free_count,
-  unsigned32                            next_free
+  uint32_t                              free_count,
+  uint32_t                              next_free
   );
                        
Index: cpukit/libfs/src/dosfs/fat_fat_operations.c
===================================================================
--- cpukit/libfs/src/dosfs/fat_fat_operations.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/fat_fat_operations.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -45,17 +45,17 @@
 fat_scan_fat_for_free_clusters(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                           *chain,
-    unsigned32                            count,
-    unsigned32                           *cls_added,
-    unsigned32                           *last_cl 
+    uint32_t                             *chain,
+    uint32_t                              count,
+    uint32_t                             *cls_added,
+    uint32_t                             *last_cl 
     )
 {
     int            rc = RC_OK;
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     cl4find = 2;
-    unsigned32     next_cln = 0;
-    unsigned32     save_cln = 0; 
-    unsigned32     data_cls_val = fs_info->vol.data_cls + 2;
-    unsigned32     i = 2;
+    uint32_t       cl4find = 2;
+    uint32_t       next_cln = 0;
+    uint32_t       save_cln = 0; 
+    uint32_t       data_cls_val = fs_info->vol.data_cls + 2;
+    uint32_t       i = 2;
   
     *cls_added = 0;    
@@ -167,12 +167,12 @@
 fat_free_fat_clusters_chain(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            chain
+    uint32_t                              chain
     )
 {
     int            rc = RC_OK, rc1 = RC_OK;
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     cur_cln = chain; 
-    unsigned32     next_cln = 0; 
-    unsigned32     freed_cls_cnt = 0;
+    uint32_t       cur_cln = chain; 
+    uint32_t       next_cln = 0; 
+    uint32_t       freed_cls_cnt = 0;
     
     while ((cur_cln & fs_info->vol.mask) < fs_info->vol.eoc_val)
@@ -224,6 +224,6 @@
 fat_get_fat_cluster(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            cln,
-    unsigned32                           *ret_val
+    uint32_t                              cln,
+    uint32_t                             *ret_val
     )
 {
@@ -231,6 +231,6 @@
     register fat_fs_info_t *fs_info = mt_entry->fs_info;
     bdbuf_buffer           *block0 = NULL;
-    unsigned32              sec = 0;
-    unsigned32              ofs = 0;
+    uint32_t                sec = 0;
+    uint32_t                ofs = 0;
 
     /* sanity check */
@@ -253,5 +253,5 @@
              * align problems for some architectures
              */
-            *ret_val = (*((unsigned8 *)(block0->buffer + ofs)));
+            *ret_val = (*((uint8_t   *)(block0->buffer + ofs)));
             if ( ofs == (fs_info->vol.bps - 1) )
             {
@@ -261,9 +261,9 @@
                     return rc;
 
-                *ret_val |= (*((unsigned8 *)(block0->buffer)))<<8;
+                *ret_val |= (*((uint8_t   *)(block0->buffer)))<<8;
             }
             else
             {  
-                *ret_val |= (*((unsigned8 *)(block0->buffer + ofs + 1)))<<8;
+                *ret_val |= (*((uint8_t   *)(block0->buffer + ofs + 1)))<<8;
             }
 
@@ -275,10 +275,10 @@
 
         case FAT_FAT16:
-            *ret_val = *((unsigned16 *)(block0->buffer + ofs));
+            *ret_val = *((uint16_t   *)(block0->buffer + ofs));
             *ret_val = CF_LE_W(*ret_val);
             break;
 
         case FAT_FAT32:
-            *ret_val = *((unsigned32 *)(block0->buffer + ofs));
+            *ret_val = *((uint32_t   *)(block0->buffer + ofs));
             *ret_val = CF_LE_L(*ret_val);
             break;
@@ -308,14 +308,14 @@
 fat_set_fat_cluster(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            cln,
-    unsigned32                            in_val
+    uint32_t                              cln,
+    uint32_t                              in_val
     )
 {
     int                rc = RC_OK;
     fat_fs_info_t     *fs_info = mt_entry->fs_info;
-    unsigned32         sec = 0;
-    unsigned32         ofs = 0;
-    unsigned16         fat16_clv = 0;
-    unsigned32         fat32_clv = 0;
+    uint32_t           sec = 0;
+    uint32_t           ofs = 0;
+    uint16_t           fat16_clv = 0;
+    uint32_t           fat32_clv = 0;
     bdbuf_buffer      *block0 = NULL;  
 
@@ -337,11 +337,11 @@
             if ( FAT_CLUSTER_IS_ODD(cln) )
             {
-                fat16_clv = ((unsigned16)in_val) << FAT_FAT12_SHIFT;
-                *((unsigned8 *)(block0->buffer + ofs)) = 
-                        (*((unsigned8 *)(block0->buffer + ofs))) & 0x0F;
-
-                *((unsigned8 *)(block0->buffer + ofs)) = 
-                        (*((unsigned8 *)(block0->buffer + ofs))) | 
-                        (unsigned8)(fat16_clv & 0x00FF);
+                fat16_clv = ((uint16_t  )in_val) << FAT_FAT12_SHIFT;
+                *((uint8_t   *)(block0->buffer + ofs)) = 
+                        (*((uint8_t   *)(block0->buffer + ofs))) & 0x0F;
+
+                *((uint8_t   *)(block0->buffer + ofs)) = 
+                        (*((uint8_t   *)(block0->buffer + ofs))) | 
+                        (uint8_t  )(fat16_clv & 0x00FF);
 
                 fat_buf_mark_modified(fs_info);
@@ -354,9 +354,9 @@
                         return rc;
 
-                     *((unsigned8 *)(block0->buffer)) &= 0x00;
+                     *((uint8_t   *)(block0->buffer)) &= 0x00;
   
-                     *((unsigned8 *)(block0->buffer)) = 
-                            (*((unsigned8 *)(block0->buffer))) | 
-                            (unsigned8)((fat16_clv & 0xFF00)>>8);
+                     *((uint8_t   *)(block0->buffer)) = 
+                            (*((uint8_t   *)(block0->buffer))) | 
+                            (uint8_t  )((fat16_clv & 0xFF00)>>8);
                      
                      fat_buf_mark_modified(fs_info);
@@ -364,19 +364,19 @@
                 else
                 {
-                    *((unsigned8 *)(block0->buffer + ofs + 1)) &= 0x00;
+                    *((uint8_t   *)(block0->buffer + ofs + 1)) &= 0x00;
               
-                    *((unsigned8 *)(block0->buffer + ofs + 1)) = 
-                            (*((unsigned8 *)(block0->buffer + ofs + 1))) | 
-                            (unsigned8)((fat16_clv & 0xFF00)>>8);
+                    *((uint8_t   *)(block0->buffer + ofs + 1)) = 
+                            (*((uint8_t   *)(block0->buffer + ofs + 1))) | 
+                            (uint8_t  )((fat16_clv & 0xFF00)>>8);
                 }  
             }
             else
             {
-                fat16_clv = ((unsigned16)in_val) & FAT_FAT12_MASK;
-                *((unsigned8 *)(block0->buffer + ofs)) &= 0x00;
-
-                *((unsigned8 *)(block0->buffer + ofs)) = 
-                        (*((unsigned8 *)(block0->buffer + ofs))) | 
-                        (unsigned8)(fat16_clv & 0x00FF);
+                fat16_clv = ((uint16_t  )in_val) & FAT_FAT12_MASK;
+                *((uint8_t   *)(block0->buffer + ofs)) &= 0x00;
+
+                *((uint8_t   *)(block0->buffer + ofs)) = 
+                        (*((uint8_t   *)(block0->buffer + ofs))) | 
+                        (uint8_t  )(fat16_clv & 0x00FF);
                         
                 fat_buf_mark_modified(fs_info);         
@@ -389,10 +389,10 @@
                         return rc;
 
-                    *((unsigned8 *)(block0->buffer)) = 
-                            (*((unsigned8 *)(block0->buffer))) & 0xF0;
+                    *((uint8_t   *)(block0->buffer)) = 
+                            (*((uint8_t   *)(block0->buffer))) & 0xF0;
   
-                    *((unsigned8 *)(block0->buffer)) = 
-                            (*((unsigned8 *)(block0->buffer))) | 
-                            (unsigned8)((fat16_clv & 0xFF00)>>8);
+                    *((uint8_t   *)(block0->buffer)) = 
+                            (*((uint8_t   *)(block0->buffer))) | 
+                            (uint8_t  )((fat16_clv & 0xFF00)>>8);
                             
                     fat_buf_mark_modified(fs_info);        
@@ -400,10 +400,10 @@
                 else
                 {
-                    *((unsigned8 *)(block0->buffer + ofs + 1)) =   
-                      (*((unsigned8 *)(block0->buffer + ofs + 1))) & 0xF0;
-
-                    *((unsigned8 *)(block0->buffer + ofs+1)) = 
-                           (*((unsigned8 *)(block0->buffer + ofs+1))) | 
-                           (unsigned8)((fat16_clv & 0xFF00)>>8);
+                    *((uint8_t   *)(block0->buffer + ofs + 1)) =   
+                      (*((uint8_t   *)(block0->buffer + ofs + 1))) & 0xF0;
+
+                    *((uint8_t   *)(block0->buffer + ofs+1)) = 
+                           (*((uint8_t   *)(block0->buffer + ofs+1))) | 
+                           (uint8_t  )((fat16_clv & 0xFF00)>>8);
                 }  
             }
@@ -411,6 +411,6 @@
 
         case FAT_FAT16:
-            *((unsigned16 *)(block0->buffer + ofs)) = 
-                    (unsigned16)(CT_LE_W(in_val));
+            *((uint16_t   *)(block0->buffer + ofs)) = 
+                    (uint16_t  )(CT_LE_W(in_val));
             fat_buf_mark_modified(fs_info);        
             break;
@@ -419,9 +419,9 @@
             fat32_clv = CT_LE_L((in_val & FAT_FAT32_MASK));
 
-            *((unsigned32 *)(block0->buffer + ofs)) = 
-            (*((unsigned32 *)(block0->buffer + ofs))) & (CT_LE_L(0xF0000000));
-
-            *((unsigned32 *)(block0->buffer + ofs)) = 
-                   fat32_clv | (*((unsigned32 *)(block0->buffer + ofs)));
+            *((uint32_t   *)(block0->buffer + ofs)) = 
+            (*((uint32_t   *)(block0->buffer + ofs))) & (CT_LE_L(0xF0000000));
+
+            *((uint32_t   *)(block0->buffer + ofs)) = 
+                   fat32_clv | (*((uint32_t   *)(block0->buffer + ofs)));
             
             fat_buf_mark_modified(fs_info);
Index: cpukit/libfs/src/dosfs/fat_fat_operations.h
===================================================================
--- cpukit/libfs/src/dosfs/fat_fat_operations.h	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/fat_fat_operations.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -29,19 +29,19 @@
 int
 fat_get_fat_cluster(rtems_filesystem_mount_table_entry_t *mt_entry,
-                    unsigned32                            cln,
-                    unsigned32                           *ret_val);
+                    uint32_t                              cln,
+                    uint32_t                             *ret_val);
 
 int
 fat_set_fat_cluster(rtems_filesystem_mount_table_entry_t *mt_entry,
-                    unsigned32                            cln,
-                    unsigned32                            in_val);
+                    uint32_t                              cln,
+                    uint32_t                              in_val);
 
 int
 fat_scan_fat_for_free_clusters(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                           *chain,
-    unsigned32                            count,
-    unsigned32                           *cls_added,
-    unsigned32                           *last_cl 
+    uint32_t                             *chain,
+    uint32_t                              count,
+    uint32_t                             *cls_added,
+    uint32_t                             *last_cl 
 );
 
@@ -49,5 +49,5 @@
 fat_free_fat_clusters_chain(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            chain
+    uint32_t                              chain
 );
 
Index: cpukit/libfs/src/dosfs/fat_file.c
===================================================================
--- cpukit/libfs/src/dosfs/fat_file.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/fat_file.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -32,9 +32,9 @@
 
 static inline void
-_hash_insert(Chain_Control *hash, unsigned32 key1, unsigned32 key2, 
+_hash_insert(Chain_Control *hash, uint32_t   key1, uint32_t   key2, 
              fat_file_fd_t *el);
 
 static inline void
-_hash_delete(Chain_Control *hash, unsigned32 key1, unsigned32 key2, 
+_hash_delete(Chain_Control *hash, uint32_t   key1, uint32_t   key2, 
              fat_file_fd_t *el);
 
@@ -43,6 +43,6 @@
     rtems_filesystem_mount_table_entry_t  *mt_entry,
     Chain_Control                         *hash, 
-    unsigned32                             key1, 
-    unsigned32                             key2, 
+    uint32_t                               key1, 
+    uint32_t                               key2, 
     fat_file_fd_t			   **ret
 );
@@ -52,6 +52,6 @@
     rtems_filesystem_mount_table_entry_t  *mt_entry,
     fat_file_fd_t                         *fat_fd,
-    unsigned32                             file_cln,
-    unsigned32                            *disk_cln
+    uint32_t                               file_cln,
+    uint32_t                              *disk_cln
 );
 
@@ -85,6 +85,6 @@
 fat_file_open(
     rtems_filesystem_mount_table_entry_t  *mt_entry,
-    unsigned32                             cln,
-    unsigned32                             ofs,  
+    uint32_t                               cln,
+    uint32_t                               ofs,  
     fat_file_fd_t                        **fat_fd
     )
@@ -93,5 +93,5 @@
     fat_fs_info_t *fs_info = mt_entry->fs_info;
     fat_file_fd_t *lfat_fd = NULL;
-    unsigned32     key = 0;
+    uint32_t       key = 0;
   
     /* construct key */
@@ -190,5 +190,5 @@
     int            rc = RC_OK;
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     key = 0;
+    uint32_t       key = 0;
 
     /*
@@ -257,6 +257,6 @@
     rtems_filesystem_mount_table_entry_t *mt_entry,
     fat_file_fd_t                        *fat_fd,
-    unsigned32                            start,
-    unsigned32                            count,
+    uint32_t                              start,
+    uint32_t                              count,
     char                                 *buf
     )
@@ -265,13 +265,13 @@
     ssize_t        ret = 0;
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     cmpltd = 0;
-    unsigned32     cur_cln = 0;
-    unsigned32     cl_start = 0;
-    unsigned32     save_cln = 0;
-    unsigned32     ofs = 0;
-    unsigned32     save_ofs;
-    unsigned32     sec = 0;
-    unsigned32     byte = 0;
-    unsigned32     c = 0;
+    uint32_t       cmpltd = 0;
+    uint32_t       cur_cln = 0;
+    uint32_t       cl_start = 0;
+    uint32_t       save_cln = 0;
+    uint32_t       ofs = 0;
+    uint32_t       save_ofs;
+    uint32_t       sec = 0;
+    uint32_t       byte = 0;
+    uint32_t       c = 0;
 
     /* it couldn't be removed - otherwise cache update will be broken */
@@ -362,6 +362,6 @@
     rtems_filesystem_mount_table_entry_t *mt_entry,
     fat_file_fd_t                        *fat_fd,
-    unsigned32                            start,
-    unsigned32                            count,
+    uint32_t                              start,
+    uint32_t                              count,
     const char                            *buf
     )
@@ -370,13 +370,13 @@
     ssize_t        ret = 0;
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     cmpltd = 0;
-    unsigned32     cur_cln = 0;
-    unsigned32     save_cln = 0; /* FIXME: This might be incorrect, cf. below */
-    unsigned32     cl_start = 0;
-    unsigned32     ofs = 0;  
-    unsigned32     save_ofs;
-    unsigned32     sec = 0;
-    unsigned32     byte = 0;
-    unsigned32     c = 0;
+    uint32_t       cmpltd = 0;
+    uint32_t       cur_cln = 0;
+    uint32_t       save_cln = 0; /* FIXME: This might be incorrect, cf. below */
+    uint32_t       cl_start = 0;
+    uint32_t       ofs = 0;  
+    uint32_t       save_ofs;
+    uint32_t       sec = 0;
+    uint32_t       byte = 0;
+    uint32_t       c = 0;
   
     if ( count == 0 )
@@ -473,17 +473,17 @@
     rtems_filesystem_mount_table_entry_t *mt_entry,
     fat_file_fd_t                        *fat_fd, 
-    unsigned32                            new_length,
-    unsigned32                           *a_length
+    uint32_t                              new_length,
+    uint32_t                             *a_length
     )
 {
     int            rc = RC_OK;
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     chain = 0; 
-    unsigned32     bytes2add = 0;
-    unsigned32     cls2add = 0;
-    unsigned32     old_last_cl;
-    unsigned32     last_cl = 0;
-    unsigned32     bytes_remain = 0;
-    unsigned32     cls_added;
+    uint32_t       chain = 0; 
+    uint32_t       bytes2add = 0;
+    uint32_t       cls2add = 0;
+    uint32_t       old_last_cl;
+    uint32_t       last_cl = 0;
+    uint32_t       bytes_remain = 0;
+    uint32_t       cls_added;
   
     *a_length = new_length;
@@ -601,12 +601,12 @@
     rtems_filesystem_mount_table_entry_t *mt_entry,
     fat_file_fd_t                        *fat_fd,     
-    unsigned32                            new_length
+    uint32_t                              new_length
     )
 {
     int            rc = RC_OK;
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     cur_cln = 0;
-    unsigned32     cl_start = 0;
-    unsigned32     new_last_cln = FAT_UNDEFINED_VALUE;
+    uint32_t       cur_cln = 0;
+    uint32_t       cl_start = 0;
+    uint32_t       new_last_cln = FAT_UNDEFINED_VALUE;
   
     
@@ -672,8 +672,8 @@
     int            rc = RC_OK;
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     cur_cln = 0;
-    unsigned32     cl_start = 0;
-    unsigned32     pos = 0;
-    unsigned32    *ret;
+    uint32_t       cur_cln = 0;
+    uint32_t       cl_start = 0;
+    uint32_t       pos = 0;
+    uint32_t      *ret;
     va_list        ap; 
   
@@ -683,6 +683,6 @@
     {
         case F_CLU_NUM:
-            pos = va_arg(ap, unsigned32);
-            ret = va_arg(ap, unsigned32 *);
+            pos = va_arg(ap, uint32_t  );
+            ret = va_arg(ap, uint32_t   *);
 
             /* sanity check */
@@ -733,5 +733,5 @@
 {
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     key = 0;
+    uint32_t       key = 0;
   
     key = fat_construct_key(mt_entry, fat_fd->info_cln, fat_fd->info_ofs);
@@ -763,8 +763,8 @@
     rtems_status_code  sc = RTEMS_SUCCESSFUL;
     fat_fs_info_t     *fs_info = mt_entry->fs_info;
-    unsigned32         cur_cln = fat_fd->cln; 
+    uint32_t           cur_cln = fat_fd->cln; 
     bdbuf_buffer      *block = NULL;
-    unsigned32         sec = 0;
-    unsigned32         i = 0;
+    uint32_t           sec = 0;
+    uint32_t           i = 0;
   
     if (fat_fd->fat_file_size == 0)
@@ -827,6 +827,6 @@
     int            rc = RC_OK;
     fat_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32     cur_cln = fat_fd->cln; 
-    unsigned32     save_cln = 0;
+    uint32_t       cur_cln = fat_fd->cln; 
+    uint32_t       save_cln = 0;
   
     /* Have we requested root dir size for FAT12/16? */
@@ -868,5 +868,5 @@
  */
 static inline void
-_hash_insert(Chain_Control *hash, unsigned32 key1, unsigned32 key2, 
+_hash_insert(Chain_Control *hash, uint32_t   key1, uint32_t   key2, 
              fat_file_fd_t *el)
 {
@@ -888,5 +888,5 @@
  */
 static inline void
-_hash_delete(Chain_Control *hash, unsigned32 key1, unsigned32 key2, 
+_hash_delete(Chain_Control *hash, uint32_t   key1, uint32_t   key2, 
              fat_file_fd_t *el)
 {
@@ -912,10 +912,10 @@
     rtems_filesystem_mount_table_entry_t  *mt_entry,
     Chain_Control                         *hash, 
-    unsigned32                             key1, 
-    unsigned32                             key2, 
+    uint32_t                               key1, 
+    uint32_t                               key2, 
     fat_file_fd_t                          **ret
     )
 {                          
-    unsigned32 mod = (key1) % FAT_HASH_MODULE;
+    uint32_t   mod = (key1) % FAT_HASH_MODULE;
     Chain_Node *the_node = ((Chain_Control *)((hash) + mod))->first;
 
@@ -923,5 +923,5 @@
     {
         fat_file_fd_t *ffd = (fat_file_fd_t *)the_node;
-        unsigned32 ck = 
+        uint32_t   ck = 
                 fat_construct_key(mt_entry, ffd->info_cln, ffd->info_ofs);
 
@@ -943,6 +943,6 @@
     rtems_filesystem_mount_table_entry_t  *mt_entry,
     fat_file_fd_t                         *fat_fd,
-    unsigned32                             file_cln,
-    unsigned32                            *disk_cln
+    uint32_t                               file_cln,
+    uint32_t                              *disk_cln
     )
 {
@@ -955,7 +955,7 @@
     else
     {
-        unsigned32 cur_cln;
-        unsigned32 count;
-        unsigned32 i;
+        uint32_t   cur_cln;
+        uint32_t   count;
+        uint32_t   i;
         
         if (file_cln > fat_fd->map.file_cln)
Index: cpukit/libfs/src/dosfs/fat_file.h
===================================================================
--- cpukit/libfs/src/dosfs/fat_file.h	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/fat_file.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -47,7 +47,7 @@
 typedef struct fat_file_map_s
 {
-    unsigned32 file_cln;
-    unsigned32 disk_cln;
-    unsigned32 last_cln;
+    uint32_t   file_cln;
+    uint32_t   disk_cln;
+    uint32_t   last_cln;
 } fat_file_map_t;
 /* 
@@ -63,17 +63,17 @@
                                     * field
                                     */
-    unsigned32      links_num;     /* 
+    uint32_t        links_num;     /* 
                                     * the number of fat_file_open call on 
                                     * this fat-file
                                     */
-    unsigned32      ino;           /* inode, file serial number :)))) */                                
+    uint32_t        ino;           /* inode, file serial number :)))) */                                
     fat_file_type_t fat_file_type;
-    unsigned32      size_limit;
-    unsigned32      fat_file_size; /* length  */
-    unsigned32      info_cln;
-    unsigned32      cln;
-    unsigned16      info_ofs;     
+    uint32_t        size_limit;
+    uint32_t        fat_file_size; /* length  */
+    uint32_t        info_cln;
+    uint32_t        cln;
+    uint16_t        info_ofs;     
     unsigned char   first_char;
-    unsigned8       flags;
+    uint8_t         flags;
     fat_file_map_t  map;
     time_t          mtime;
@@ -120,9 +120,9 @@
  *     constructed key
  */
-static inline unsigned32 
+static inline uint32_t   
 fat_construct_key(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            cl, 
-    unsigned32                            ofs)
+    uint32_t                              cl, 
+    uint32_t                              ofs)
 {
     return ( ((fat_cluster_num_to_sector512_num(mt_entry, cl) + 
@@ -134,6 +134,6 @@
 int 
 fat_file_open(rtems_filesystem_mount_table_entry_t  *mt_entry,
-              unsigned32                             cln, 
-              unsigned32                             ofs,
+              uint32_t                               cln, 
+              uint32_t                               ofs,
               fat_file_fd_t                        **fat_fd);
 
@@ -148,6 +148,6 @@
 fat_file_read(rtems_filesystem_mount_table_entry_t *mt_entry,
               fat_file_fd_t                        *fat_fd,
-              unsigned32                            start,
-              unsigned32                            count,
+              uint32_t                              start,
+              uint32_t                              count,
               char                                 *buf);
 
@@ -155,6 +155,6 @@
 fat_file_write(rtems_filesystem_mount_table_entry_t *mt_entry,
                fat_file_fd_t                        *fat_fd,
-               unsigned32                            start,
-               unsigned32                            count,
+               uint32_t                              start,
+               uint32_t                              count,
                const char                            *buf);
 
@@ -162,11 +162,11 @@
 fat_file_extend(rtems_filesystem_mount_table_entry_t *mt_entry,
                 fat_file_fd_t                        *fat_fd,
-                unsigned32                            new_length,
-                unsigned32                           *a_length);
+                uint32_t                              new_length,
+                uint32_t                             *a_length);
 
 int
 fat_file_truncate(rtems_filesystem_mount_table_entry_t *mt_entry,
                   fat_file_fd_t                        *fat_fd,
-                  unsigned32                            new_length);
+                  uint32_t                              new_length);
                   
 int
Index: cpukit/libfs/src/dosfs/msdos.h
===================================================================
--- cpukit/libfs/src/dosfs/msdos.h	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/msdos.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -59,5 +59,5 @@
                                                            * the volume
                                                            */
-    unsigned8                        *cl_buf;              /* 
+    uint8_t                          *cl_buf;              /* 
                                                             * just placeholder
                                                             * for anything 
@@ -88,20 +88,20 @@
 #define MSDOS_DIRECTORY_ENTRY_STRUCT_SIZE    32 /* 32 bytes */
 
-#define MSDOS_DIR_NAME(x)                 (unsigned8 *)((x) + 0)
-#define MSDOS_DIR_ATTR(x)                 (unsigned8 *)((x) + 11)
-#define MSDOS_DIR_NT_RES(x)               (unsigned8 *)((x) + 12)
-#define MSDOS_DIR_CRT_TIME_TENTH(x)       (unsigned8 *)((x) + 13)
-#define MSDOS_DIR_CRT_TIME(x)             (unsigned16 *)((x) + 14)
-#define MSDOS_DIR_CRT_DATE(x)             (unsigned16 *)((x) + 16)
-#define MSDOS_DIR_LAST_ACCESS_DATE(x)     (unsigned16 *)((x) + 18)
-#define MSDOS_DIR_FIRST_CLUSTER_HI(x)     (unsigned16 *)((x) + 20)
-#define MSDOS_DIR_WRITE_TIME(x)           (unsigned16 *)((x) + 22)
-#define MSDOS_DIR_WRITE_DATE(x)           (unsigned16 *)((x) + 24)
-#define MSDOS_DIR_FIRST_CLUSTER_LOW(x)    (unsigned16 *)((x) + 26)
-#define MSDOS_DIR_FILE_SIZE(x)            (unsigned32 *)((x) + 28)
+#define MSDOS_DIR_NAME(x)                 (uint8_t   *)((x) + 0)
+#define MSDOS_DIR_ATTR(x)                 (uint8_t   *)((x) + 11)
+#define MSDOS_DIR_NT_RES(x)               (uint8_t   *)((x) + 12)
+#define MSDOS_DIR_CRT_TIME_TENTH(x)       (uint8_t   *)((x) + 13)
+#define MSDOS_DIR_CRT_TIME(x)             (uint16_t   *)((x) + 14)
+#define MSDOS_DIR_CRT_DATE(x)             (uint16_t   *)((x) + 16)
+#define MSDOS_DIR_LAST_ACCESS_DATE(x)     (uint16_t   *)((x) + 18)
+#define MSDOS_DIR_FIRST_CLUSTER_HI(x)     (uint16_t   *)((x) + 20)
+#define MSDOS_DIR_WRITE_TIME(x)           (uint16_t   *)((x) + 22)
+#define MSDOS_DIR_WRITE_DATE(x)           (uint16_t   *)((x) + 24)
+#define MSDOS_DIR_FIRST_CLUSTER_LOW(x)    (uint16_t   *)((x) + 26)
+#define MSDOS_DIR_FILE_SIZE(x)            (uint32_t   *)((x) + 28)
 
 #define MSDOS_EXTRACT_CLUSTER_NUM(p)                                         \
-            (unsigned32)( (CF_LE_W(*MSDOS_DIR_FIRST_CLUSTER_LOW(p))) |       \
-                          ((unsigned32)(CF_LE_W((*MSDOS_DIR_FIRST_CLUSTER_HI(p))))<<16) )
+            (uint32_t  )( (CF_LE_W(*MSDOS_DIR_FIRST_CLUSTER_LOW(p))) |       \
+                          ((uint32_t  )(CF_LE_W((*MSDOS_DIR_FIRST_CLUSTER_HI(p))))<<16) )
 
 /*
@@ -248,6 +248,6 @@
   rtems_libio_t *iop,             /* IN  */
   const char    *pathname,        /* IN  */
-  unsigned32     flag,            /* IN  */
-  unsigned32     mode             /* IN  */
+  uint32_t       flag,            /* IN  */
+  uint32_t       mode             /* IN  */
 );
 
@@ -259,5 +259,5 @@
   rtems_libio_t *iop,              /* IN  */
   void          *buffer,           /* IN  */
-  unsigned32     count             /* IN  */
+  uint32_t       count             /* IN  */
 );
 
@@ -266,5 +266,5 @@
   rtems_libio_t *iop,             /* IN  */
   const void    *buffer,          /* IN  */
-  unsigned32     count            /* IN  */
+  uint32_t       count            /* IN  */
 );
 
@@ -295,5 +295,5 @@
 msdos_file_ioctl(
   rtems_libio_t *iop,             /* IN  */
-  unsigned32     command,         /* IN  */
+  uint32_t       command,         /* IN  */
   void          *buffer           /* IN  */
 );
@@ -311,6 +311,6 @@
   rtems_libio_t *iop,             /* IN  */
   const char    *pathname,        /* IN  */
-  unsigned32     flag,            /* IN  */
-  unsigned32     mode             /* IN  */
+  uint32_t       flag,            /* IN  */
+  uint32_t       mode             /* IN  */
 );
 
@@ -322,5 +322,5 @@
   rtems_libio_t *iop,              /* IN  */
   void          *buffer,           /* IN  */
-  unsigned32     count             /* IN  */
+  uint32_t       count             /* IN  */
 );
 
@@ -389,6 +389,6 @@
 int 
 msdos_set_first_char4file_name(rtems_filesystem_mount_table_entry_t *mt_entry,
-                               unsigned32  cl,
-                               unsigned32  ofs,
+                               uint32_t    cl,
+                               uint32_t    ofs,
                                unsigned char first_char);
 
@@ -417,5 +417,5 @@
     rtems_filesystem_mount_table_entry_t *mt_entry,
     fat_file_fd_t                        *fat_fd,
-    unsigned32                            cl4find, 
+    uint32_t                              cl4find, 
     fat_auxiliary_t                      *paux,
     char                                 *dir_entry
@@ -425,5 +425,5 @@
 msdos_get_dotdot_dir_info_cluster_num_and_offset(
     rtems_filesystem_mount_table_entry_t *mt_entry,
-    unsigned32                            cln,
+    uint32_t                              cln,
     fat_auxiliary_t                      *paux,
     char                                 *dir_entry
Index: cpukit/libfs/src/dosfs/msdos_create.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_create.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/msdos_create.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -63,12 +63,12 @@
     fat_file_fd_t   *fat_fd = NULL; 
     time_t           time_ret = 0;
-    unsigned16       time_val = 0;
-    unsigned16       date = 0;
+    uint16_t         time_val = 0;
+    uint16_t         date = 0;
     fat_auxiliary_t  aux;
     unsigned char    new_node  [MSDOS_DIRECTORY_ENTRY_STRUCT_SIZE];
     unsigned char    dot_dotdot[MSDOS_DIRECTORY_ENTRY_STRUCT_SIZE * 2];
     unsigned char    link_node [MSDOS_DIRECTORY_ENTRY_STRUCT_SIZE];
-    unsigned32       sec = 0;
-    unsigned32       byte = 0;
+    uint32_t         sec = 0;
+    uint32_t         byte = 0;
     
     memset(new_node, 0, MSDOS_DIRECTORY_ENTRY_STRUCT_SIZE);
@@ -203,7 +203,7 @@
         {
             *MSDOS_DIR_FIRST_CLUSTER_LOW(DOTDOT_NODE_P(dot_dotdot)) = 
-                CT_LE_W((unsigned16)((parent_fat_fd->cln) & 0x0000FFFF));
+                CT_LE_W((uint16_t  )((parent_fat_fd->cln) & 0x0000FFFF));
             *MSDOS_DIR_FIRST_CLUSTER_HI(DOTDOT_NODE_P(dot_dotdot)) = 
-                CT_LE_W((unsigned16)(((parent_fat_fd->cln) & 0xFFFF0000)>>16));
+                CT_LE_W((uint16_t  )(((parent_fat_fd->cln) & 0xFFFF0000)>>16));
         }        
     
@@ -227,7 +227,7 @@
         /* set up cluster num for dot entry */
         *MSDOS_DIR_FIRST_CLUSTER_LOW(DOT_NODE_P(dot_dotdot)) =
-                CT_LE_W((unsigned16)((fat_fd->cln) & 0x0000FFFF));
+                CT_LE_W((uint16_t  )((fat_fd->cln) & 0x0000FFFF));
         *MSDOS_DIR_FIRST_CLUSTER_HI(DOT_NODE_P(dot_dotdot)) =
-                CT_LE_W((unsigned16)(((fat_fd->cln) & 0xFFFF0000) >> 16));
+                CT_LE_W((uint16_t  )(((fat_fd->cln) & 0xFFFF0000) >> 16));
 
         /* rewrite dot entry */
Index: cpukit/libfs/src/dosfs/msdos_dir.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_dir.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/msdos_dir.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -46,6 +46,6 @@
  */
 int 
-msdos_dir_open(rtems_libio_t *iop, const char *pathname, unsigned32 flag,
-               unsigned32 mode)
+msdos_dir_open(rtems_libio_t *iop, const char *pathname, uint32_t   flag,
+               uint32_t   mode)
 {
     int                rc = RC_OK;  
@@ -197,5 +197,5 @@
  */
 ssize_t 
-msdos_dir_read(rtems_libio_t *iop, void *buffer, unsigned32 count)
+msdos_dir_read(rtems_libio_t *iop, void *buffer, uint32_t   count)
 {
     int                rc = RC_OK;
@@ -205,10 +205,10 @@
     fat_file_fd_t     *tmp_fat_fd = NULL;
     struct dirent      tmp_dirent;
-    unsigned32         start = 0;
+    uint32_t           start = 0;
     ssize_t            ret = 0;
-    unsigned32         cmpltd = 0;
-    unsigned32         j = 0, i = 0;
-    unsigned32         bts2rd = 0;
-    unsigned32         cur_cln = 0;
+    uint32_t           cmpltd = 0;
+    uint32_t           j = 0, i = 0;
+    uint32_t           bts2rd = 0;
+    uint32_t           cur_cln = 0;
   
     /* 
Index: cpukit/libfs/src/dosfs/msdos_file.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_file.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/msdos_file.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -43,6 +43,6 @@
  */
 int 
-msdos_file_open(rtems_libio_t *iop, const char *pathname, unsigned32 flag,
-                unsigned32 mode)
+msdos_file_open(rtems_libio_t *iop, const char *pathname, uint32_t   flag,
+                uint32_t   mode)
 {
     int                rc = RC_OK; 
@@ -145,5 +145,5 @@
  */
 ssize_t 
-msdos_file_read(rtems_libio_t *iop, void *buffer, unsigned32 count)
+msdos_file_read(rtems_libio_t *iop, void *buffer, uint32_t   count)
 {
     ssize_t            ret = 0;
@@ -178,5 +178,5 @@
  */
 ssize_t 
-msdos_file_write(rtems_libio_t *iop,const void *buffer, unsigned32 count)
+msdos_file_write(rtems_libio_t *iop,const void *buffer, uint32_t   count)
 {
     ssize_t            ret = 0; 
@@ -231,5 +231,5 @@
     msdos_fs_info_t   *fs_info = iop->pathinfo.mt_entry->fs_info; 
     fat_file_fd_t     *fat_fd = iop->file_info;
-    unsigned32         real_size = 0;
+    uint32_t           real_size = 0;
 
     sc = rtems_semaphore_obtain(fs_info->vol_sema, RTEMS_WAIT,
@@ -438,5 +438,5 @@
  */
 int 
-msdos_file_ioctl(rtems_libio_t *iop,unsigned32 command, void *buffer)
+msdos_file_ioctl(rtems_libio_t *iop,uint32_t   command, void *buffer)
 {
     int rc = RC_OK;
Index: cpukit/libfs/src/dosfs/msdos_initsupp.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_initsupp.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/msdos_initsupp.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -58,5 +58,5 @@
     msdos_fs_info_t   *fs_info = NULL;
     fat_file_fd_t     *fat_fd = NULL;
-    unsigned32         cl_buf_size;
+    uint32_t           cl_buf_size;
 
     fs_info = (msdos_fs_info_t *)calloc(1, sizeof(msdos_fs_info_t));
Index: cpukit/libfs/src/dosfs/msdos_misc.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_misc.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/dosfs/msdos_misc.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -265,5 +265,5 @@
     msdos_fs_info_t *fs_info = parent_loc->mt_entry->fs_info;
     fat_file_fd_t   *fat_fd = parent_loc->node_access;
-    unsigned32       dotdot_cln = 0;
+    uint32_t         dotdot_cln = 0;
 
     /* find name in fat-file which correspondes to the directory */
@@ -378,5 +378,5 @@
 msdos_get_dotdot_dir_info_cluster_num_and_offset(
     rtems_filesystem_mount_table_entry_t *mt_entry, 
-    unsigned32                            cln,
+    uint32_t                              cln,
     fat_auxiliary_t                      *paux,
     char                                 *dir_entry
@@ -389,5 +389,5 @@
     unsigned char    dotdot_node[MSDOS_DIRECTORY_ENTRY_STRUCT_SIZE];
     unsigned char    cur_node[MSDOS_DIRECTORY_ENTRY_STRUCT_SIZE];
-    unsigned32       cl4find = 0;
+    uint32_t         cl4find = 0;
   
     memset(dot_node, 0, MSDOS_DIRECTORY_ENTRY_STRUCT_SIZE);  
@@ -516,6 +516,6 @@
     unsigned short   time_val;
     unsigned short   date;
-    unsigned32       sec = 0;
-    unsigned32       byte = 0;
+    uint32_t         sec = 0;
+    uint32_t         byte = 0;
   
     msdos_date_unix2dos(fat_fd->mtime, &time_val, &date);
@@ -563,9 +563,9 @@
     ssize_t          ret1 = 0, ret2 = 0;
     msdos_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32       new_cln = fat_fd->cln;
-    unsigned16       le_cl_low = 0;
-    unsigned16       le_cl_hi = 0;  
-    unsigned32       sec = 0;
-    unsigned32       byte = 0;
+    uint32_t         new_cln = fat_fd->cln;
+    uint16_t         le_cl_low = 0;
+    uint16_t         le_cl_hi = 0;  
+    uint32_t         sec = 0;
+    uint32_t         byte = 0;
 
     /* 
@@ -578,9 +578,9 @@
     byte = fat_fd->info_ofs & (fs_info->fat.vol.bps - 1);
  
-    le_cl_low = CT_LE_W((unsigned16)(new_cln & 0x0000FFFF));
+    le_cl_low = CT_LE_W((uint16_t  )(new_cln & 0x0000FFFF));
     ret1 = _fat_block_write(mt_entry, sec, 
                             byte + MSDOS_FIRST_CLUSTER_LOW_OFFSET, 2,
                             (char *)(&le_cl_low));
-    le_cl_hi = CT_LE_W((unsigned16)((new_cln & 0xFFFF0000) >> 16));
+    le_cl_hi = CT_LE_W((uint16_t  )((new_cln & 0xFFFF0000) >> 16));
     ret2 = _fat_block_write(mt_entry, sec,
                             byte + MSDOS_FIRST_CLUSTER_HI_OFFSET, 2,
@@ -612,7 +612,7 @@
     ssize_t          ret = 0;
     msdos_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32       le_new_length = 0;
-    unsigned32       sec = 0;
-    unsigned32       byte = 0;
+    uint32_t         le_new_length = 0;
+    uint32_t         sec = 0;
+    uint32_t         byte = 0;
 
     sec = fat_cluster_num_to_sector_num(mt_entry, fat_fd->info_cln);
@@ -651,6 +651,6 @@
 msdos_set_first_char4file_name(
     rtems_filesystem_mount_table_entry_t *mt_entry, 
-    unsigned32                            cl,
-    unsigned32                            ofs,
+    uint32_t                              cl,
+    uint32_t                              ofs,
     unsigned char                         fchar
     )
@@ -658,6 +658,6 @@
     ssize_t          ret = 0;
     msdos_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32       sec = 0;
-    unsigned32       byte = 0;
+    uint32_t         sec = 0;
+    uint32_t         byte = 0;
 
     sec = fat_cluster_num_to_sector_num(mt_entry, cl);
@@ -695,5 +695,5 @@
     ssize_t          ret = 0;
     msdos_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32       j = 0, i = 0;
+    uint32_t         j = 0, i = 0;
   
     /* dir is not empty */
@@ -776,6 +776,6 @@
     ssize_t          ret = 0;
     msdos_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32       i = 0, j = 0;
-    unsigned32       bts2rd = 0;
+    uint32_t         i = 0, j = 0;
+    uint32_t         bts2rd = 0;
 
     if (FAT_FD_OF_ROOT_DIR(fat_fd) && 
@@ -885,5 +885,5 @@
     rtems_filesystem_mount_table_entry_t *mt_entry,
     fat_file_fd_t                        *fat_fd,
-    unsigned32                            cl4find, 
+    uint32_t                              cl4find, 
     fat_auxiliary_t                      *paux,
     char                                 *dir_entry
@@ -893,6 +893,6 @@
     ssize_t          ret = 0;
     msdos_fs_info_t *fs_info = mt_entry->fs_info;
-    unsigned32       bts2rd = 0;  
-    unsigned32       i = 0, j = 0;
+    uint32_t         bts2rd = 0;  
+    uint32_t         i = 0, j = 0;
 
     if (FAT_FD_OF_ROOT_DIR(fat_fd) && 
Index: cpukit/libfs/src/imfs/deviceio.c
===================================================================
--- cpukit/libfs/src/imfs/deviceio.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/imfs/deviceio.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -49,5 +49,5 @@
     int rc;
     
-    if ((rc = rtems_assoc_remote_by_local(errno_assoc, (unsigned32) code)))
+    if ((rc = rtems_assoc_remote_by_local(errno_assoc, (uint32_t  ) code)))
     {
         errno = rc;
@@ -66,6 +66,6 @@
   rtems_libio_t *iop,
   const char    *pathname,
-  unsigned32     flag,
-  unsigned32     mode
+  uint32_t       flag,
+  uint32_t       mode
 )
 {
@@ -131,5 +131,5 @@
   rtems_libio_t *iop,
   void          *buffer,
-  unsigned32     count
+  uint32_t       count
 )
 {
@@ -168,5 +168,5 @@
   rtems_libio_t *iop,
   const void    *buffer,
-  unsigned32     count
+  uint32_t       count
 )
 {
@@ -204,5 +204,5 @@
 int device_ioctl(
   rtems_libio_t *iop,
-  unsigned32     command,
+  uint32_t       command,
   void          *buffer
 )
Index: cpukit/libfs/src/imfs/imfs.h
===================================================================
--- cpukit/libfs/src/imfs/imfs.h	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/imfs/imfs.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -388,6 +388,6 @@
   rtems_libio_t *iop,             /* IN  */
   const char    *pathname,        /* IN  */
-  unsigned32     flag,            /* IN  */
-  unsigned32     mode             /* IN  */
+  uint32_t       flag,            /* IN  */
+  uint32_t       mode             /* IN  */
 );
 
@@ -399,5 +399,5 @@
   rtems_libio_t *iop,              /* IN  */
   void          *buffer,           /* IN  */
-  unsigned32     count             /* IN  */
+  uint32_t       count             /* IN  */
 );
 
@@ -420,5 +420,5 @@
   rtems_libio_t *iop,             /* IN  */
   void          *buffer,          /* IN  */
-  unsigned32     count            /* IN  */
+  uint32_t       count            /* IN  */
 );
 
@@ -432,6 +432,6 @@
   rtems_libio_t *iop,             /* IN  */
   const char    *pathname,        /* IN  */
-  unsigned32     flag,            /* IN  */
-  unsigned32     mode             /* IN  */
+  uint32_t       flag,            /* IN  */
+  uint32_t       mode             /* IN  */
 );
 
@@ -443,5 +443,5 @@
   rtems_libio_t *iop,             /* IN  */
   void          *buffer,          /* IN  */
-  unsigned32     count            /* IN  */
+  uint32_t       count            /* IN  */
 );
 
@@ -449,10 +449,10 @@
   rtems_libio_t *iop,             /* IN  */
   const void    *buffer,          /* IN  */
-  unsigned32     count            /* IN  */
+  uint32_t       count            /* IN  */
 );
 
 int memfile_ioctl(
   rtems_libio_t *iop,             /* IN  */
-  unsigned32     command,         /* IN  */
+  uint32_t       command,         /* IN  */
   void          *buffer           /* IN  */
 );
@@ -471,6 +471,6 @@
   rtems_libio_t *iop,            /* IN  */
   const char    *pathname,       /* IN  */
-  unsigned32     flag,           /* IN  */
-  unsigned32     mode            /* IN  */
+  uint32_t       flag,           /* IN  */
+  uint32_t       mode            /* IN  */
 );
 
@@ -482,5 +482,5 @@
   rtems_libio_t *iop,            /* IN  */
   void          *buffer,         /* IN  */
-  unsigned32     count           /* IN  */
+  uint32_t       count           /* IN  */
 );
 
@@ -488,10 +488,10 @@
   rtems_libio_t *iop,               /* IN  */
   const void    *buffer,            /* IN  */
-  unsigned32     count              /* IN  */
+  uint32_t       count              /* IN  */
 );
 
 int device_ioctl(
   rtems_libio_t *iop,               /* IN  */
-  unsigned32     command,           /* IN  */
+  uint32_t       command,           /* IN  */
   void          *buffer             /* IN  */
 );
Index: cpukit/libfs/src/imfs/imfs_directory.c
===================================================================
--- cpukit/libfs/src/imfs/imfs_directory.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/imfs/imfs_directory.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -42,6 +42,6 @@
   rtems_libio_t  *iop,
   const char *pathname,
-  unsigned32 flag,
-  unsigned32 mode
+  uint32_t   flag,
+  uint32_t   mode
 )
 {
@@ -76,5 +76,5 @@
   rtems_libio_t  *iop,
   void *buffer,
-  unsigned32 count
+  uint32_t   count
 )
 {
Index: cpukit/libfs/src/imfs/imfs_fchmod.c
===================================================================
--- cpukit/libfs/src/imfs/imfs_fchmod.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/imfs/imfs_fchmod.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -64,5 +64,5 @@
        (mode & (S_IWUSR | S_IWGRP | S_IWOTH)) )
   {
-    unsigned32 count = jnode->info.linearfile.size;
+    uint32_t   count = jnode->info.linearfile.size;
     const unsigned char *buffer = jnode->info.linearfile.direct;
 
Index: cpukit/libfs/src/imfs/linearfile.c
===================================================================
--- cpukit/libfs/src/imfs/linearfile.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/imfs/linearfile.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -41,5 +41,5 @@
   rtems_libio_t *iop,
   void          *buffer,
-  unsigned32     count
+  uint32_t       count
 )
 {
Index: cpukit/libfs/src/imfs/memfile.c
===================================================================
--- cpukit/libfs/src/imfs/memfile.c	(revision 82c123db57da0a5ce49493f91b615055833da80e)
+++ cpukit/libfs/src/imfs/memfile.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
@@ -92,6 +92,6 @@
   rtems_libio_t *iop,
   const char    *pathname,
-  unsigned32     flag,
-  unsigned32     mode
+  uint32_t       flag,
+  uint32_t       mode
 )
 {
@@ -138,5 +138,5 @@
   rtems_libio_t *iop,
   void          *buffer,
-  unsigned32     count
+  uint32_t       count
 )
 {
@@ -157,5 +157,5 @@
   rtems_libio_t *iop,
   const void    *buffer,
-  unsigned32     count
+  uint32_t       count
 )
 {
@@ -181,5 +181,5 @@
 int memfile_ioctl(
   rtems_libio_t *iop,
-  unsigned32     command,
+  uint32_t       command,
   void          *buffer
 )
